create or replace package SDT_MASTERDETAIL is
  procedure genPDF;
  v_pdf blob;
  -- Master
  cursor c_users is
  SELECT u.USER_ID, u.USERNAME, u.CREATED
  FROM all_users u
  WHERE rownum <= 10;
  -- Detail
  cursor c_objects(owner in varchar2) is
  SELECT a.OBJECT_ID, a.OBJECT_NAME, a.OBJECT_TYPE
  FROM all_objects a
  WHERE UPPER(a.OWNER) = UPPER(owner)
  AND rownum <= 10;
end SDT_MASTERDETAIL;
